---
- name: Prepare
  hosts: all
  tasks:
    - name: Update apt-cache if on debian-based system
      become: true
      apt:
        update_cache: true
        cache_valid_time: 3600
      when: ansible_facts['os_family'] == "Debian"

    - name: Ensure git is available
      become: true
      package:
        name: git
        state: present
